@echo off
set libname=SeedTCPlibv1
if exist "C:\windows\SysWOW64" goto 64bit
set syspath=c:\Windows\system32
goto run
:64bit
set syspath=c:\Windows\SysWOW64
:run
copy /y %libname%.dll %syspath%
regasm %syspath%\%libname%.dll /tlb:%syspath%\%libname%.tlb /codebase /verbose
